Page MenuHomePhabricator

Some bad changes are not highlighted in enhanced recent changes or watchlist
Closed, ResolvedPublic

Description

Take a look at the screenshot. The first shown change is marked with an ! but does not have any background color. Niether does the following group of changes but each change in the group has it. This makes it more difficult to spot bad changes and makes the highlighting concept slightly useless in enhanced changes.

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterRework highlighting frontend to make it work everywhere
mediawiki/extensions/ORES : masterEnhance ORES support in enhanced changes list

Event Timeline

Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptJan 21 2017, 5:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hmm, It's conceptually difficult given that each change in a group can have different color. I will think of something soon.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 22 2017, 3:47 AM

Change 333493 had a related patch set uploaded (by Ladsgroup):
Enhance ORES support in enhanced changes list

https://gerrit.wikimedia.org/r/333493

So this has already been reported at T146291: Recent changes page: ORES scored entries are not highlighted when 'Enhanced recent changes' option is used where you can also find screenshots. As you are working on this, could you decide which way they should be merged?

Yes, I think they need to be merged.

Ladsgroup added a subscriber: Mattflaschen-WMF.
Ladsgroup added a subscriber: Tgr.

This is waiting on a patch of @Tgr to be merged and once it's there I pick up this and finish it.

Mattflaschen-WMF renamed this task from Some bad changes are not highlighted in enhanced recent changes to Some bad changes are not highlighted in enhanced recent changes or watchlist.Apr 24 2017, 8:10 PM

Change 358311 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Rework highlighting frontend to make it work everywhere

https://gerrit.wikimedia.org/r/358311

Change 333493 abandoned by Ladsgroup:
Enhance ORES support in enhanced changes list

Reason:
Done in I58556e114e56fb868239097912a37ca79090ca10

https://gerrit.wikimedia.org/r/333493

Change 358311 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Rework highlighting frontend to make it work everywhere

https://gerrit.wikimedia.org/r/358311

Halfak closed this task as Resolved.Jul 12 2017, 10:49 PM